<section>
  <article>
    <h3>Meu titulo interpolacao</h3>
    <p>String com interpolacao: {{ url }}</p>
    <p>Resultado de 1 + 1: {{ 1 + 1 }}</p>
    <p>Resultado de 1 + 1 não é:  {{ 1 + 1 + getValor() }}</p>
    <p>Curti Curso de Angular e gosto do curso:  {{ cursoAngular && getCurtirCurso() }}</p>
  </article>

  <!-- <article>
    <h3>mostrar imagem</h3>
    <img src="{{ urlImagem }}">
  </article> -->
  <!-- <article>
    <h3>teste bootstrap</h3>
    <div>
      selecione uma classe:
      <select #classe (change)="0">
        <option value="alert-success">sucesso</option>
        <option value="alert-info">info</option>
        <option value="alert-warning">alert</option>
        <option value="alert-danger">erro</option>
      </select>
      <br><br>

      <div class="alert {{ classe.value }}" role="alert">{{ classe.value }}</div>

      <div class="alert" role="alert" [class.alert-success]="classe.value == 'alert-success'">sucesso</div>
      <div class="alert" role="alert" [class.alert-info]="classe.value == 'alert-info'">info</div>
      <div class="alert" role="alert" [class.alert-warning]="classe.value == 'alert-warning'">alert</div>
      <div class="alert" role="alert" [class.alert-danger]="classe.value == 'alert-danger'">erro.</div>
      <div class="alert alert-danger" role="alert" [style.display]="classe.value == 'alert-danger' ? 'block' : 'none'">so aparece em caso de erro erro.</div>
    </div>
  </article> -->
  <article>
    <div>
      <button (click)="botaoClicado()" class="btn btn-primary">Me clique!</button>
      <br><br>
      <input type="text" (keyup)="onKeyUp($event)" (keyup.enter)="salvarValor(campoInput.value)" (blur)="salvarValor(campoInput.value)" #campoInput>
      <p>Valor atual: {{ valorAtual }}</p>
      <p>Valor Salvo: {{ valorSalvo }}</p>
      <br>
      <span (mouseover)="OnMouseOverOut()" (mouseout)="OnMouseOverOut()" [class.highlight]="isMouseOver">Passe o mouse em mim</span>
    </div>
  </article>
</section>
